cURL
curl --request DELETE \
--url https://public-api.lonescale.com/lists/{listId} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.lonescale.com/lists/{listId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.lonescale.com/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid API Key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "List is used by workflows: My Workflow",
"error": "Forbidden",
"statusCode": 403
}{
"message": "List not found",
"error": "Not Found",
"statusCode": 404
}Lists
Delete a list
Delete a list. The list must not be actively used by any workflows.
DELETE
/
lists
/
{listId}
cURL
Authorizations
Provide your API key in the x-api-key header.
Path Parameters
The ID of the list to delete.
Response
The deleted list
Unique identifier of the list.
Name of the list.
The entity type of the list.
Available options:
COMPANY, PEOPLE Description of the list.
The organization this list belongs to.
Creation timestamp.
Last update timestamp.
⌘I

